net.sourceforge.pmd.lang.ast

## Class ParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.sourceforge.pmd.lang.ast.ParseException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ParseException, ParseException

    public class ParseException
    extends RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ParseException()`
`ParseException(String message)`
`ParseException(String message, Throwable cause)`
`ParseException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParseException

    public ParseException()

#### ParseException

    public ParseException(String message)

#### ParseException

    public ParseException(Throwable cause)

#### ParseException

    public ParseException(String message,
                  Throwable cause)